/*
 *
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * A remotable service interface containing 1 operation with a non-const parameter
 * @author Bryan Aupperle
 *
 */

#include <string>
#include <list>

// @Remotable
class Service4 {
public:
	/**
	 * Member function for invoking testcase service
	 * @param input - input parameter(s) as a std::list of std::string
	 * @return - output data as a std::string
	 */
	virtual std::string operation1(std::list<std::string> input) const = 0;

};
