/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


  

import testClient.TestInvocation;

/**
 * Client for ASM_12010_TestCase
 * Tests that where a first contribution resolves an artifact reference to an artifact in a second contribution, 
 * where the resolved artifact has a further artifact reference, that this reference is resolved through the 
 * import statements of the second contribution even if the first contribution has import statements 
 * (to different locations) for the same namespace 
 */
public class ASM_12010_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 9);
    	config.input 			= "request";
    	config.output[0] 			= config.testName + " " + config.input + " servicex operation1 invoked" ;
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
  
    	// 4 contributions - with one artifact imported by the first one from the second one - and the second one
    	// importing an artifact that is contained (in different versions) in both the 3rd and 4th contributions, but
    	// where the second contribution names the 3rd as the required location for resolution
    	config.contributionNames	= new String[] { "ASM_12010", "Contribution2", "Contribution1", "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_12010
