/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;

import testClient.TestInvocation;

/**
 * Client for ASM_12011_TestCase
 * 
 * Tests that where a contribution contains an <import/> declaration with a specific target contribution 
 * which refers to the namespace of a referenced artifact and the artifact is neither present in the target 
 * contribution nor the original contribution, that the resolution fails and the SCA runtime reports an error 
 * even where that artifact is available in other contributions which do export the relevant namespace
 */
public class ASM_12011_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 9);
    	config.input 			= "request";
    	config.output[0] 		= "exception";
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
  
    	// 3 contributions - with one artifact imported by the first one from the second one - and the second one
    	// does not contain that artifact although it is present in the 3rd contribution which does export the namespace
    	// of that artifact, but the 3rd contribution is not named as an import location by the 1st contribution for that
    	// namespace
    	config.contributionNames	= new String[] { "ASM_12011", "Contribution2", "Contribution1", "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_12011
