/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


  

import testClient.TestInvocation;

/**
 * Client for ASM_6032_TestCase, which tests that when a <composite/> <reference/> 
 * has @requires with 2 or more intents in the declared set, that the set does not 
 * contain 2 mutually exclusive intents
 */
public class ASM_6032_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 8);
    	config.input 			= "request";
    	config.output[0] 			= "exception";
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
  
    	config.contributionNames	= new String[] { "ASM_6032", "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_6032
