/*
 *
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.
 *
 */

/**
 * C component implementation with
 * 1 service with interface Service1
 * 0 references
 * 3 properties
 * @author Bryan Aupperle
 *
 */

#include "Service1.h"
#include "SCA.h"

/* @Property */
char serviceName[50];

/* @Property(required="true") */
char serviceData1[50];

/* @Property(required="true") */
char serviceData2[50];

char *operation1(const char *input) {
	int compCode, reason, size = 50, num_values = 1;
	char *pServiceName = serviceName, *pServiceData1 = serviceData1, *pServiceData2 = serviceData2;
	char *result;

	SCAPropertyCString(L"serviceName", &pServiceName, &size, &num_values, &compCode, &reason);
	size = 50;
	SCAPropertyCString(L"serviceData1", &pServiceData1, &size, &num_values, &compCode, &reason);
	size = 50;
	SCAPropertyCString(L"serviceData2", &pServiceData2, &size, &num_values, &compCode, &reason);

	result = (char *)malloc(255);  /* infrastructure must free this */
	strcpy(result, serviceName);
	strcat(result, " operation1 invoked");
	strcat(result, serviceData1);
	strcat(result, serviceData2);
	return result;
};
