/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


  

import testClient.TestInvocation;

/**
 * Client for ASM_12013_TestCase
 * Tests that where a contribution has an artifact with an artifact dependency which is resolved 
 * via an <import/> declaration to an artifact in a second contribution and the resolved artifact 
 * has a further dependency on an artifact that is present in both the original contribution and 
 * in the second contribution that the dependency of the resolved artifact is resolved to the 
 * artifact in the second contribution 
 */
public class ASM_12013_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= this.getClass().getSimpleName().substring(0, 9);
    	config.input 			= "request";
    	config.output[0] 		= config.testName + " " + config.input + " service1 operation1 invoked" ;
    	config.composite 		= "Test_" + config.testName + ".composite";
    	config.testServiceName 	= "TestClient";
  
    	config.contributionNames	= new String[] { "ASM_12013", "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_12013
