/*
 * Copyright(C) OASIS(R) 2009, 2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 */
package client;


  

import testClient.TestInvocation;

/**
 * Client for ASM_6017_TestCase, which tests that a <component/> <reference/> with 
 * @autowire=true and @multiplicity="0..1" is wired to one compatible <component/> 
 * <service/> in the same <composite/>  
 */
public class ASM_6017_TestCase extends BaseJAXWSTestRunner {

 
    protected TestConfiguration getTestConfiguration() {
    	TestConfiguration config = new TestConfiguration();
    	config.testName 		= "ASM_6017";
    	config.input 			= "request";
    	config.output 			= new String[2];
    	config.output[0] 		=  "ASM_6017 request service1 operation1 invoked second operation1 invoked" ;
    	config.output[1] 		=  "ASM_6017 request service1 operation1 invoked third operation1 invoked" ;
    	config.composite 		= "Test_ASM_6017.composite";
    	config.testServiceName 	= "TestClient";
  
    	config.contributionNames	= new String[] { "General", "General" + _Lang };
    	config.serviceInterface = TestInvocation.class;
    	return config;
    }
    
} // end class Test_ASM_6017
